# $Revision: 1.18 $, $Date: 2005/01/03 12:40:27 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	ISA
Summary:	Class::ISA Perl module - report the search path for a class's ISA tree
Summary(pl):	Modu Perla Class::ISA - zwrcenie cieki przeszukiwania dla drzewa klasy ISA
Name:		perl-Class-ISA
Version:	0.33
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	562a04a5391ab28e8fe101bb4874d0e3
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library, Class::ISA, provides functions that return a list (in
order) of names of classes Perl would search to find a method, with
no duplicates.

%description -l pl
Biblioteka Class::ISA udostpnia funkcje zwracajce (uporzdkowan)
list nazw klas, ktre Perl powinien przeszuka w celu znalezienia
zadanej metody (bez duplikatw).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%{perl_vendorlib}/Class/ISA.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-ISA.spec,v $
Revision 1.18  2005/01/03 12:40:27  adamg
- updated to 0.33

Revision 1.17  2004/11/03 22:30:10  paladine
- formatting

Revision 1.16  2004/05/07 01:12:25  ankry
- rel. 4

Revision 1.15  2004/05/06 18:09:20  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.13  2004/04/20 09:46:28  ankry
- bcond fixes/porting

Revision 1.12  2004/04/18 16:56:35  ankry
- license fixes and unification

Revision 1.11  2004/04/14 11:42:37  ankry
- caps and other cosmetics

Revision 1.10  2003/09/09 10:24:29  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:32  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 18:45:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/24 20:31:51  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:28:04  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/25 12:49:56  radek
- removed non-informative summaries, release 2, STBR
- added conditional tests

Revision 1.1  2002/07/30 13:52:48  ankry
- new module

